CREATE TABLE calif_person
(
  id NUMBER PRIMARY KEY,
  lastname VARCHAR2(25),
  firstname VARCHAR2(15),
  city VARCHAR2(25),
  state CHAR(2),
  FOREIGN KEY (city, state) REFERENCES city (city, state)
)
/

INSERT INTO calif_person (id, lastname, firstname, city, state)
       (SELECT id, lastname, firstname, city, state
          FROM person
         WHERE state = 'CA' )
/

